{% extends 'admin/admin.html.twig' %}
{% block body %}
    <header class="page-header">
        <h3>Rôles</h3>
    </header>
    <div class="container">
    <form method="POST" name="mform">
        <button type="submit" class="btn btn-primary pull-right">Valider</button>
        <table class="table">
            <thead>
                <tr>
                    <th class="text-right">Agence &nbsp;</th><th><center>RCR</center></th><th><center>RCA</center></th><th><center>ACA</center></th>
                </tr>
            </thead>
            <tbody>
                {% for asso in assos %}
                    <tr style="height: 25px;">
                        <td class="text-right" style="padding-right: 10px !important">{{asso.nom_agence}} - {{asso.cp_agence|slice(0, 2)}}</td>
                        <td  style="padding-right: 10px !important">
                            <select name="{{ asso.id_agence}}" class="form-control">
                                <option value=""></option>
                                {% for rcr in rcrs %}
                                    <option {% if asso.id_rcr == rcr.id_utilisateur %}selected{% endif %} value="{{ rcr.id_utilisateur }}">{{ rcr.prenom }} {{ rcr.nom }}</option>
                                {% endfor %}</select></td>
                        <td  style="padding-right: 10px !important">
                            <input style="height:20px" class="form-control autocomplete" value="{{ asso.nom_rca }}"><input type="hidden"  name="rca_{{ asso.id_agence }}" value="{{ asso.id_rca }}">
                        </td>
                        <td>
                            <input style="height:20px" class="form-control autocomplete" value="{{ asso.nom_aca }}"><input type="hidden"  name="aca_{{ asso.id_agence }}" value="{{ asso.id_aca }}">
                        </td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </form></div>
<script>
    list = [];
    var url = "{{ ajax_url }}/ajax_c/listCaRaw";
    $.ajax(url).done(function (data) {
        var json = JSON.parse(data);
        json.forEach(function (d) {
            var elem = new Object();
            elem.label = d.prenom + " " + d.nom;
            elem.value = d.id_utilisateur;
            list.push(elem);
        });
    });
    $(".autocomplete").autocomplete({
        source: list,
        select: function (event, ui) {
            event.preventDefault();
            console.log($(this));
            $(this).val(ui.item.label);
            $(this).next('input').val(ui.item.value);
        }
    });

    $(".autocomplete").change(function () {
        if ($(this).val() == "") {
            $(this).next('input').val("");
        }
    })
</script>
{% endblock %}
